Wecenter

Wecenter

Wecenter登陆后首页最新动态问答长篇加图片回答有大段空白

回复

建站程序38度6 发起了问题 • 1 人关注 • 0 个回复 • 264 次浏览 • 2018-11-28 09:44 • 来自相关话题

Wecenter安装OpenSSL出现不支持,PHP开启OpenSSL的方法

建站程序不二版本Eade 发表了文章 • 2 个评论 • 509 次浏览 • 2018-11-09 17:09 • 来自相关话题

 昨天安装Wecenter就出现了openssl不支持的情况,百度上面找了好久只有php开启openssl的方法,对照看了下我的配置是没有问题的也就是说php.ini里面是有openssl的扩展,也正确开启了。(最后附开启方法) 如果出现这个问题 ...查看全部

 昨天安装Wecenter就出现了openssl不支持的情况,百度上面找了好久只有php开启openssl的方法,对照看了下我的配置是没有问题的也就是说php.ini里面是有openssl的扩展,也正确开启了。(最后附开启方法)
如果出现这个问题首先要自检一下(跟着我的节奏来吧)
1.确定是否是PHP配置未开启OpenSSL
打开php.ini(一般在C:\WINDOWS\目录下,当然如果你的PHP安装在其它文件夹就找到该php版本目录下的php.ini)
搜索:“extension=php_openssl.dll”查看是否存在该行代码,如有请确认前面是否添加“;”注释,删除“;”注释即可开启,反之添加该行代码即可。
也可以通过php测试页信息查看是否开启
       1.新建一个php文件在网站根目录
          代码如下:
                 
<?php
phpinfo();
?>

       2.通过浏览器访问该php文件,查找“OpenSSL”如下图所示enabled即为开启,disabled即为未开启:
 


2.如果正确开启了OpenSSL但是安装界面还是显示不支持(我就是这个情况)
       你也是这种情况的话那就要仔细检查一下服务器环境是否支持安装Wecenter,说明如下:



WeCenter 系统安装说明
SAE 安装
安装
升级
设置
WeCenter 问答系统的环境需求

1. 可用的 www 服务器,如 Apache、IIS、nginx, 推荐使用性能高效的 nginx.
2. PHP 5.3 及以上
3. MySQL 5.0 及以上, 服务器需要支持 MySQLi 或 PDO_MySQL
4. GD 图形库支持或 ImageMagick 支持, 推荐使用 ImageMagick, 在处理大文件的时候表现较好
5. Mcrypt,openssl支持

 

Wecenter 问答系统的安装

1. 上传 upload 目录中的文件到服务器

2. 设置目录属性(windows 服务器可忽略这一步)
以下这些目录需要可读写权限
./
./system
./system/config 含子目录

3. 执行安装脚本
直接在浏览器里面访问 http://您的域名/install/

4. 参照页面提示,进行安装,直至安装完毕



我的问题是php版本用的5.2的所以不能满足Wecenter5.3的要求,所以更改了php版本就可以了,另外我是通过护卫神PHP套件一件安装的多个版本php环境,所以还要做以下选择php版本操作,添加web.config文件在网站根目录,文件代码如下:
<?xml version="1.0" encoding="UTF-8"?>
<configuration>
<system.webServer>
<handlers>
<remove name="php71" />
<remove name="php70" />
<remove name="php56" />
<remove name="php55" />
<remove name="php54" />
<remove name="php53" />
<remove name="php52" />
<add name="php71" path="*.php" verb="*" modules="FastCgiModule" scriptProcessor="你的PHP对应安装目录" resourceType="Unspecified" requireAccess="Script" />
</handlers>
</system.webServer>
</configuration>
 
教程就到这里,希望大家都可以正常安装Wecenter❤️

Wecenter上传头像{'error':'错误代码: upload_no_file_selected'}

建站程序不二版本Eade 回复了问题 • 2 人关注 • 1 个回复 • 1270 次浏览 • 2018-11-09 16:07 • 来自相关话题

Wecenter邮件配置错误提示:Could not read from smtp.exmail.qq.com

回复

建站程序会说话的鹦鹉 发起了问题 • 1 人关注 • 0 个回复 • 210 次浏览 • 2018-11-07 17:40 • 来自相关话题

Wecenter测试邮件错误:Could not open socket

回复

建站程序会说话的鹦鹉 发起了问题 • 1 人关注 • 0 个回复 • 349 次浏览 • 2018-11-07 17:40 • 来自相关话题

Wecenter怎么设置主页标题跟其它页面不一样吗?

建站程序不二版本Eade 回复了问题 • 2 人关注 • 2 个回复 • 1332 次浏览 • 2018-11-07 15:58 • 来自相关话题

Wecenter如何修改网站logo?

建站程序作业没撸完 回复了问题 • 4 人关注 • 2 个回复 • 978 次浏览 • 2018-11-06 22:12 • 来自相关话题

Wecenter用户上传头像弹出新窗口错误怎么回事?

回复

建站程序艾特你的小可耐 发起了问题 • 2 人关注 • 0 个回复 • 591 次浏览 • 2018-11-06 21:12 • 来自相关话题

条新动态, 点击查看
忘了说加了分类的盆友(3.X.X版本都可以使用):
[code]<?php if (!$this->user_id) { ?>
<?php if (!$_GET['app'] OR $_GET['app'] == 'explore') ... 显示全部 »
忘了说加了分类的盆友(3.X.X版本都可以使用):
[code]<?php if (!$this->user_id) { ?>
<?php if (!$_GET['app'] OR $_GET['app'] == 'explore') { ?>
<?php if (!$_GET
作业没撸完

作业没撸完 回答了问题 • 2018-11-06 22:12 • 2 个回复 不感兴趣

Wecenter如何修改网站logo?

赞同来自:

比较简单就是直接替换logo文件
比较简单就是直接替换logo文件

Wecenter登陆后首页最新动态问答长篇加图片回答有大段空白

回复

建站程序38度6 发起了问题 • 1 人关注 • 0 个回复 • 264 次浏览 • 2018-11-28 09:44 • 来自相关话题

Wecenter上传头像{'error':'错误代码: upload_no_file_selected'}

回复

建站程序不二版本Eade 回复了问题 • 2 人关注 • 1 个回复 • 1270 次浏览 • 2018-11-09 16:07 • 来自相关话题

Wecenter邮件配置错误提示:Could not read from smtp.exmail.qq.com

回复

建站程序会说话的鹦鹉 发起了问题 • 1 人关注 • 0 个回复 • 210 次浏览 • 2018-11-07 17:40 • 来自相关话题

Wecenter测试邮件错误:Could not open socket

回复

建站程序会说话的鹦鹉 发起了问题 • 1 人关注 • 0 个回复 • 349 次浏览 • 2018-11-07 17:40 • 来自相关话题

Wecenter怎么设置主页标题跟其它页面不一样吗?

回复

建站程序不二版本Eade 回复了问题 • 2 人关注 • 2 个回复 • 1332 次浏览 • 2018-11-07 15:58 • 来自相关话题

Wecenter如何修改网站logo?

回复

建站程序作业没撸完 回复了问题 • 4 人关注 • 2 个回复 • 978 次浏览 • 2018-11-06 22:12 • 来自相关话题

Wecenter用户上传头像弹出新窗口错误怎么回事?

回复

建站程序艾特你的小可耐 发起了问题 • 2 人关注 • 0 个回复 • 591 次浏览 • 2018-11-06 21:12 • 来自相关话题

Wecenter安装OpenSSL出现不支持,PHP开启OpenSSL的方法

建站程序不二版本Eade 发表了文章 • 2 个评论 • 509 次浏览 • 2018-11-09 17:09 • 来自相关话题

 昨天安装Wecenter就出现了openssl不支持的情况,百度上面找了好久只有php开启openssl的方法,对照看了下我的配置是没有问题的也就是说php.ini里面是有openssl的扩展,也正确开启了。(最后附开启方法) 如果出现这个问题 ...查看全部

 昨天安装Wecenter就出现了openssl不支持的情况,百度上面找了好久只有php开启openssl的方法,对照看了下我的配置是没有问题的也就是说php.ini里面是有openssl的扩展,也正确开启了。(最后附开启方法)
如果出现这个问题首先要自检一下(跟着我的节奏来吧)
1.确定是否是PHP配置未开启OpenSSL
打开php.ini(一般在C:\WINDOWS\目录下,当然如果你的PHP安装在其它文件夹就找到该php版本目录下的php.ini)
搜索:“extension=php_openssl.dll”查看是否存在该行代码,如有请确认前面是否添加“;”注释,删除“;”注释即可开启,反之添加该行代码即可。
也可以通过php测试页信息查看是否开启
       1.新建一个php文件在网站根目录
          代码如下:
                 
<?php
phpinfo();
?>

       2.通过浏览器访问该php文件,查找“OpenSSL”如下图所示enabled即为开启,disabled即为未开启:
 


2.如果正确开启了OpenSSL但是安装界面还是显示不支持(我就是这个情况)
       你也是这种情况的话那就要仔细检查一下服务器环境是否支持安装Wecenter,说明如下:



WeCenter 系统安装说明
SAE 安装
安装
升级
设置
WeCenter 问答系统的环境需求

1. 可用的 www 服务器,如 Apache、IIS、nginx, 推荐使用性能高效的 nginx.
2. PHP 5.3 及以上
3. MySQL 5.0 及以上, 服务器需要支持 MySQLi 或 PDO_MySQL
4. GD 图形库支持或 ImageMagick 支持, 推荐使用 ImageMagick, 在处理大文件的时候表现较好
5. Mcrypt,openssl支持

 

Wecenter 问答系统的安装

1. 上传 upload 目录中的文件到服务器

2. 设置目录属性(windows 服务器可忽略这一步)
以下这些目录需要可读写权限
./
./system
./system/config 含子目录

3. 执行安装脚本
直接在浏览器里面访问 http://您的域名/install/

4. 参照页面提示,进行安装,直至安装完毕



我的问题是php版本用的5.2的所以不能满足Wecenter5.3的要求,所以更改了php版本就可以了,另外我是通过护卫神PHP套件一件安装的多个版本php环境,所以还要做以下选择php版本操作,添加web.config文件在网站根目录,文件代码如下:
<?xml version="1.0" encoding="UTF-8"?>
<configuration>
<system.webServer>
<handlers>
<remove name="php71" />
<remove name="php70" />
<remove name="php56" />
<remove name="php55" />
<remove name="php54" />
<remove name="php53" />
<remove name="php52" />
<add name="php71" path="*.php" verb="*" modules="FastCgiModule" scriptProcessor="你的PHP对应安装目录" resourceType="Unspecified" requireAccess="Script" />
</handlers>
</system.webServer>
</configuration>
 
教程就到这里,希望大家都可以正常安装Wecenter❤️
Wecenter